<?php
/*  AUTOR: LYDIA RUIZ MIRAVALLES
    TFG, GRADO EN INGENIERIA INFORMATICA
    UNIVERSIDAD DE VALLADOLID, 2018
*/

session_start();
$sesionID = session_id();
require('../fpdf/fpdf.php');

class PDF extends FPDF
{
// Page header
function Header()
{
  // Logo
  $this->Image('../Imagenes/PD.png',10,6,30);
  //color de fondo
  $this->SetFillColor(122,204,80);
  // Arial bold 15
  $this->SetFont('Arial','B',15);
  // Move to the right
  $this->Cell(60);
  // Title
  $this->Cell(60,10,'Comprueba RGPD ',1,0,'C',TRUE);
  // Line break
  $this->Ln(40);
}

// Page footer
function Footer()
{
  // Position at 1.5 cm from bottom
  $this->SetY(-15);
  // Arial italic 8
  $this->SetFont('Arial','I',8);
  // Page number
  $this->Cell(0,10,'Page '.$this->PageNo().'/{nb}',0,0,'C');
}
}

// Instanciation of inherited class
$pdf = new PDF();
$pdf->AliasNbPages();
$pdf->AddPage();
$pdf->SetFont('Times','',12);
//Conectamos con la base de datos y seleccionamos todos los textos con activa=1
require_once 'conexion.php';
//PORTADA
  $pdf->SetXY(30, 90);
  $pdf->SetFillColor(122,204,80);
  $pdf->MultiCell(80,20,utf8_decode("Empresa u organización: "),1,'C',TRUE);
  //nombre
  $query0 = "SELECT nombre,sector FROM TbUsuarios WHERE id = '$sesionID'";
  $resultado0 = $mysqli->query($query0);
	  if (!$resultado0) die("Fallo en el acceso a la base de datos: " . $mysqli->error);
	  $rows0 = $resultado0->num_rows;
  for ($j = 0 ; $j < $rows0 ; ++$j)
  {
	$resultado0-> data_seek($j);
	  $result = $resultado0->fetch_assoc();
    $pdf->SetXY(110, 90);
    //escribe cada texto activo en el pdf
    $pdf->MultiCell(80,20,utf8_decode($result['nombre']),1,'C');
    $sector = $result['sector'];

  }
  $pdf->SetXY(30, 120);
  $pdf->SetFillColor(122,204,80);
  $pdf->MultiCell(80,20,utf8_decode("Sector al que pertenece: "),1,'C',TRUE);
  $pdf->SetXY(110, 120);
  //escribe cada texto activo en el pdf
  $pdf->MultiCell(80,20,utf8_decode($sector),1,'C');
  //AVIO en portada
  $pdf->SetXY(50, 160);
  $pdf->SetFillColor(243,165,005);
  $pdf->MultiCell(100,10,utf8_decode("AVISO"),1,'C',TRUE);
  $pdf->SetXY(50, 170);
  $pdf->MultiCell(100,10,utf8_decode("El resultado generado por esta web solamente sirve de ayuda y orientación para el cumplimiento del RGPD, en ningún caso tiene validez legal."),1,'C');

  $query = "SELECT id, titulo, texto FROM TbTextos, TbTextUsuario WHERE id_usuario = '$sesionID' AND id_texto=id ORDER BY formulario, id ASC";
  $resultado = $mysqli->query($query);
  if (!$resultado) die("Fallo en el acceso a la base de datos: " . $mysqli->error);
  $rows = $resultado->num_rows;
  for ($j = 0 ; $j < $rows ; ++$j)
  {
	$resultado->data_seek($j);
  	$res = $resultado->fetch_assoc();
    $pdf->AddPage();
    $id= $res['id'];
    //escribe cada texto activo en el pdf
    $pdf->MultiCell(0,10,utf8_decode($res['titulo']),1,'C');
    $pdf->Ln(10);
    //$pdf->MultiCell(0,7,"------------------------------------",0,'C');
    $query2 = "SELECT texto,informacion FROM TbInformacion WHERE id_texto='$id' AND id_usuario='$sesionID' ORDER BY id ASC";
    $resultado2 = $mysqli->query($query2);
    if (!$resultado2) die("Fallo en el acceso a la base de datos: " . $mysqli->error);
    $rows2 = $resultado2->num_rows;
    for ($j2 = 0 ; $j2 < $rows2 ; ++$j2){
	$resultado2-> data_seek($j2);
	$resInf = $resultado2->fetch_assoc();
      $pdf->MultiCell(0,7,utf8_decode($resInf['texto']),0,'J');
      if($resInf['informacion'] != ""){
        $pdf->MultiCell(0,7,utf8_decode(" - " . $resInf['informacion']),0,'J');
      }
    }
    $pdf->MultiCell(0,7,utf8_decode($res['texto']),0,'J');

  }
  $mysqli->close();
  $pdf->AddPage();
  $pdf->SetXY(50, 100);
  $pdf->SetFillColor(122,204,80);
  $pdf->MultiCell(100,10,utf8_decode("AVISO"),1,'C',TRUE);
  $pdf->SetXY(50, 110);
  $pdf->MultiCell(100,10,utf8_decode("Le recordamos que la web no almacena su información por lo tanto debe conservar este documento ya que no podrá volverlo a obtener."),1,'C');

$pdf->Output("ResultadoRGPD.pdf",'D');

?>
